For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Session Stats

In this page, you will find information on how to obtain stats for a session with SESSION_ID.

If you'd like to get session stats along side attendee stats, you can use the method described in Participant Stats section.

To get a session's statistics via SESSION_ID, you can make a request like so:

curl --location --request POST 'https://<DOMAIN>/xapi/report/session/<SESSION_ID>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json'

Example response parameters:

Parameter
Type
Description

session_name

string

Session's name

duration

int

Session's duration in seconds

duration_active

int

Session's active time in seconds

duration_interrupt

int

Session break duration in seconds

user_count

int

Session's total participant count

banned_count

int

Session's total banned participant count

cam_count

int

Session's total camera count

mic_count

int

Session's total microphone count

screen_share_count

int

Session's total screen share count

chat_message_count

int

Session's total chat message count

doc_count

int

Session's document count

poll_count

int

Session's poll/question count

error_code

string?

Error that occurred during packing process, will be NONE if no errors occur.

creation_date

DateTimeOffset

Report's creation date

updating_date

DateTimeOffset?

Report's updating date

actual_start_date

DateTimeOffset

Session's start date

actual_finish_date

DateTimeOffset

Session's finish date

Last updated